Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
eZDFSFileHandlerBackendFactory Class Reference

## Static Public Member Functions
static | build ()
static | buildHandler ( $className)

## Static Private Member Functions
static | hasFactorySupport ( $className)

## Static Private Attributes
static | $instance

## Detailed Description

This file is part of the Exponential Legacy package

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributd with this source code.

Version
  //autogentag// Instantiates the DFSBackend based on INI settings

Definition at line 14 of file ezdfsfilehandlerbackendfactory.php.

## Member Function Documentation

## ◆ build()

static eZDFSFileHandlerBackendFactory::build | ( |  | ) |
| static

Builds the configured DFSBackend handler

Returns
  eZDFSFileHandlerDFSBackendInterface

Definition at line 22 of file ezdfsfilehandlerbackendfactory.php.

References $instance, $instance, and buildHandler().

Referenced by eZDFSFileHandlerMySQLiBackend\_connect().

## ◆ buildHandler()

static eZDFSFileHandlerBackendFactory::buildHandler | ( |  | $className | ) |
| static

Builds a DFSBackend handler from $className

Parameters

  string | $className |

Returns
  eZDFSFileHandlerDFSBackendInterface

Exceptions

  InvalidArgumentException | if $className doesn't implement eZDFSFileHandlerDFSBackendInterface
  InvalidArgumentException | if no class $className exists

Definition at line 43 of file ezdfsfilehandlerbackendfactory.php.

Referenced by build().

## ◆ hasFactorySupport()

static eZDFSFileHandlerBackendFactory::hasFactorySupport | ( |  | $className | ) |
| static private

Tests if $className supports the factory method.

We can't use is_a or similar as they only accept a string as the classname starting from PHP 5.3.9.

Returns
  bool

Definition at line 74 of file ezdfsfilehandlerbackendfactory.php.

## Member Data Documentation

## ◆ $instance

eZDFSFileHandlerBackendFactory::$instance
| static private

Definition at line 16 of file ezdfsfilehandlerbackendfactory.php.

Referenced by build().

The documentation for this class was generated from the following file:

- ezdfsfilehandlerbackendfactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.